nxt

## Class CurrencyExchangeOffer

- java.lang.Object
- - nxt.CurrencyExchangeOffer

- Direct Known Subclasses:
    CurrencyBuyOffer, CurrencySellOffer

      public abstract class CurrencyExchangeOffer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CurrencyExchangeOffer.AvailableOffers`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccountId()`
    `static CurrencyExchangeOffer.AvailableOffers` | `getAvailableToBuy(long currencyId, long units)`
    `static CurrencyExchangeOffer.AvailableOffers` | `getAvailableToSell(long currencyId, long units)`
    `protected abstract CurrencyExchangeOffer` | `getCounterOffer()`
    `long` | `getCurrencyId()`
    `int` | `getExpirationHeight()`
    `int` | `getHeight()`
    `long` | `getId()`
    `long` | `getLimit()`
    `long` | `getRateNQT()`
    `long` | `getSupply()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAvailableToSell

          public static CurrencyExchangeOffer.AvailableOffers getAvailableToSell(long currencyId,
                                                                                 long units)

    - #### getAvailableToBuy

          public static CurrencyExchangeOffer.AvailableOffers getAvailableToBuy(long currencyId,
                                                                                long units)

    - #### getId

          public long getId()

    - #### getCurrencyId

          public long getCurrencyId()

    - #### getAccountId

          public long getAccountId()

    - #### getRateNQT

          public long getRateNQT()

    - #### getLimit

          public long getLimit()

    - #### getSupply

          public long getSupply()

    - #### getExpirationHeight

          public int getExpirationHeight()

    - #### getHeight

          public int getHeight()

    - #### getCounterOffer

          protected abstract CurrencyExchangeOffer getCounterOffer()